# $Revision: 1.14 $, $Date: 2006/04/20 14:47:23 $
Summary:	Mathematica Notebook Reader
Summary(pl):	Przegldarka plikw z programu Mathematica
Name:		MathReader
Version:	5.0.1
Release:	3
License:	almost free, distributable
Group:		Applications/Math
# from http://www.wolfram.com/products/mathreader/download.cgi
Source0:	%{name}_%{version}_Linux.sh
# Source0-md5:	35b7144eff51e017a03bf5c68d743548
Source1:	%{name}_%{version}_Linux-AMD64.sh
# Source1-md5:	54c0db30f9a78269c03c970aaa841b66
Source2:	%{name}_%{version}_Linux-AXP.sh
# Source2-md5:	9ab612c9543c69838dd38445dd0e8b05
Source3:	%{name}_%{version}_Linux-IA64.sh
# Source3-md5:	6ea3a14eac68391da213a25d62c629d4
# based on http://www.wolfram.com/products/mathreader/licenseagreement.html
Source4:	%{name}-license.txt
Source5:	%{name}.desktop
URL:		http://www.wolfram.com/products/mathreader/
BuildRequires:	rpmbuild(macros) >= 1.213
ExclusiveArch:	%{ix86} alpha %{x8664} ia64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MathReader is a viewer for notebook documents created with
Mathematica, the world's only fully integrated technical computing
system. MathReader lets you display and print Mathematica notebooks,
animate graphics, play sounds, and copy information from notebooks to
other documents. MathReader can be used by most web browsers as a
helper application for viewing notebook documents.

%description -l pl
MathReader jest przegldark dla dokumentw utworzonych w programie
Mathematica, jedynym w wiecie w peni zintegrowanym systemie
technicznych oblicze. MathReader pozwala wywietla i drukowa
notatki, odtwarza animacje, odgrywa dwiki i kopiowa informacje z
notatek programu Mathematica do innych dokumentw. MathReader moe by
te uywany przez wikszo przegldarek WWW jako aplikacja pomocnicza
do przegldania dokumentw.

%prep

%install
rm -rf $RPM_BUILD_ROOT

%ifarch %{ix86}
%define _source	%{SOURCE0}
%endif
%ifarch %{x8664}
%define	_source	%{SOURCE1}
%endif
%ifarch alpha
%define	_source	%{SOURCE2}
%endif
#%%ifarch ia64
#%%define	_source	%{SOURCE3}
#%%endif

sh %{_source} auto \
	-targetdir=$RPM_BUILD_ROOT%{_libdir}/%{name} \
	-execdir=$RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir}}
ln -sf %{_libdir}/%{name}/Executables/{MathReader,mathreader} $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE4} .
install %{SOURCE5} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{name}-license.txt
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/Executables
%{_libdir}/%{name}/Configuration
%{_libdir}/%{name}/Documentation
%dir %{_libdir}/%{name}/SystemFiles
%{_libdir}/%{name}/SystemFiles/CharacterEncodings
%dir %{_libdir}/%{name}/SystemFiles/FrontEnd
%dir %{_libdir}/%{name}/SystemFiles/FrontEnd/Binaries
%ifarch %{ix86}
%attr(755,root,root) %{_libdir}/%{name}/SystemFiles/FrontEnd/Binaries/Linux
%endif
%ifarch %{x8664}
%attr(755,root,root) %{_libdir}/%{name}/SystemFiles/FrontEnd/Binaries/Linux-x86-64
%endif
%ifarch alpha
%attr(755,root,root) %{_libdir}/%{name}/SystemFiles/FrontEnd/Binaries/Linux-AXP
%endif
%{_libdir}/%{name}/SystemFiles/FrontEnd/StyleSheets
%{_libdir}/%{name}/SystemFiles/FrontEnd/SystemResources
%{_libdir}/%{name}/SystemFiles/FrontEnd/TextResources
%{_libdir}/%{name}/SystemFiles/Fonts
%{_libdir}/%{name}/SystemFiles/Installation
%{_libdir}/%{name}/SystemFiles/SpellingDictionaries
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: MathReader.spec,v $
Revision 1.14  2006/04/20 14:47:23  ankry
- rel. 3

Revision 1.13  2005/05/11 13:17:29  qboosh
- use x8664 macro

Revision 1.12  2005/03/23 17:18:06  glen
- dropped SourceX-size

Revision 1.11  2004/12/04 23:36:50  undefine
- drop ppc version - separated to MathReader4.spec

Revision 1.10  2004/11/02 13:20:20  undefine
- alpha support (not tested)

Revision 1.9  2004/10/20 10:37:18  undefine
- desktopdir one more time

Revision 1.8  2004/10/20 08:57:48  undefine
- add desktopdir

Revision 1.7  2004/10/14 22:03:24  undefine
- fix amd64 support ;)

Revision 1.6  2004/10/14 11:57:07  undefine
- fix build when mr is not installed
- add md5size (builder -5 is screwed)

Revision 1.5  2004/10/14 11:12:43  undefine
- wrrr!

Revision 1.4  2004/10/09 12:29:50  ankry
- it is duistributable, rel. 1.1, NFY

Revision 1.3  2004/10/07 14:35:52  qboosh
- missing dirs

Revision 1.2  2004/09/29 15:32:43  undefine
- pl description

Revision 1.1  2004/09/28 22:36:53  undefine
- initital rpm version... ;)
